package example.client;

import example.ejb.interfaces.UserCredentialManager;
import example.entity.UserCredential;

import javax.ejb.EJB;

public class Main { // appclient main class must be public

    @EJB
    private static UserCredentialManager ucm; // injected field must be static
    
    public static void main(String... args) {
        for(String name : args) {
            System.out.println("Creating " + name);
            ucm.createUser(new UserCredential(name, name));
            //System.out.println("Removing " + name);
            //ucm.removeUser(name);
        }
    }
}
